+1 maintenance report

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

+1 maintenance report

Sergio Durigan Junior-2
Hi,

This was my first week working in the +1 maintenance effort.  Here are
(most?) of the things I did:

Retriggers that succeeded
=========================

$ sqlite3 autopkgtest.db "SELECT DISTINCT test.package, result.version FROM result INNER JOIN test ON test.id = result.test_id WHERE result.requester = 'sergiodj' AND result.exitcode = 0 AND result.run_id LIKE '2020121%';"

gvfs|1.46.1-1ubuntu1
reprotest|0.7.15
rspamd|2.6-1
libgdata|0.17.13-1
pillow-sane|2.8.3-5
python-setoptconf|0.2.0-5
satpy|0.24.0-1
zarr|2.6.1+ds-1
asterisk|1:16.15.0~dfsg-1
puma|3.12.4-1ubuntu2
cryptominisat|5.8.0+dfsg1-1build2
stunnel4|3:5.56+dfsg-6
booth|1.0-237-gdd88847-1
systemd|246.6-5ubuntu1
beets|1.4.9-7
ros-robot-state-publisher|1.15.1-3build2
balsa|2.6.1-1
leiningen-clojure|2.9.1-3
libaperture-0|0.1.0+git20200908-1
libtoxcore|0.2.12-1
libgwenhywfar|5.4.1-1
txzmq|0.8.0-2
libcrypt-openssl-x509-perl|1.9.02-1
libmongodb-perl|2.2.2-1
python-etelemetry|0.2.0-4
fdroidserver|1.1.10-1
libreoffice|1:7.0.3-0ubuntu2
python3.9|3.9.1~rc1-2
uwsgi-plugin-php|0.0.10build1
ros-perception-pcl|1.7.2-1
vorta|0.7.1-2ubuntu1
mdtraj|1.9.4+git20201015.068f29a-5ubuntu2
sonic-pi|3.2.2~repack-6
syncthing|1.10.0~ds1-1
r-cran-projpred|2.0.2+dfsg-1
libmodulemd|2.9.4-2
scikit-learn|0.23.2-3build2
macaulay2|1.16+git55.94c4b7d+ds-1
pandas|1.1.4+dfsg-1
ros-urdf|1.13.2-2build2
ros-ros-comm|1.15.9+ds1-4
ros-diagnostics|1.10.1+ds1-2
ros-geometry|1.13.2-2
postgis|3.0.3+dfsg-2ubuntu1
ros-perception-pcl|1.7.2-2
ros-geometry2|0.7.5-2
ros-image-pipeline|1.15.2-3
ros-kdl-parser|1.14.1-1
golang-github-blevesearch-bleve|0.5.0+git20170912.278.6eea5b78-4
feersum|1.410-1
node-redis|3.0.2+~cs5.18.1-1
automake-1.16|1:1.16.3-1ubuntu1
netplan.io|0.101-0ubuntu1
php-amqplib|2.12.1-3
php-arthurhoaro-web-thumbnailer|2.0.3+dfsg-1
ruby-backbone-on-rails|1.3.3+dfsg-1
ruby-jquery-rails|4.3.5-2
ruby-jquery-ui-rails|6.0.1+dfsg-6
ruby-markdown-it-html5-embed|1.0.0+dfsg-5
ruby-rails-assets-blueimp-gallery|2.33.0-2
ruby-rails-assets-fine-uploader|5.13.0-2
ruby-rails-assets-highlightjs|9.12.0-3
ruby-rails-assets-jquery.are-you-sure|1.9.0-2
ruby-bootstrap-switch-rails|3.3.4+dfsg+REALLY.3.3.3-1
ruby-rails-assets-corejs-typeahead|1.2.1-2
ruby-rails-assets-perfect-scrollbar|1.4.0-4
mariadb-10.5|1:10.5.8-3
edk2|2020.11-2
php-proxy-manager|2.2.3-2
update-manager|1:21.04.2
aptdaemon|1.1.1+bzr982-0ubuntu36
libcache-fastmmap-perl|1.54-1
glance|2:21.0.0+git2020120911.f102b74a-0ubuntu1
nbsphinx|0.8.0+ds-1
node-http-signature|1.3.5-1
node-stylus|0.54.8-1
dbus-cpp|5.0.1-5build1
ruby-leaflet-rails|1.6.0+dfsg-1
useful-clojure|0.11.6-3
breezy|3.1.0-8
dnspython|2.0.0+really1.16.0-2ubuntu2
pyscanfcs|0.3.6+ds-2build2
ironic|1:16.0.2+git2020120911.42bf964c8-0ubuntu1
q2-feature-table|2020.11.0+dfsg-1
joblib|0.17.0-1ubuntu1
tracker|2.3.6-2
diaspora-installer|0.7.6.1+debian2
gyoto|1.4.4-3build4
boost1.74|1.74.0-3ubuntu1

- A bunch of these passes unblocked other packages that were trying to migrate.

- There are some armhf retriggers that have not yet run.

Retriggers that failed
======================

$ sqlite3 autopkgtest.db "SELECT DISTINCT test.package, result.version FROM result INNER JOIN test ON test.id = result.test_id WHERE result.requester = 'sergiodj' AND result.exitcode != 0 AND result.run_id LIKE '2020121%';"

libvirt|6.9.0-1ubuntu4
python-scrapy|2.3.0-1
python3.8|3.8.6-1
software-properties|0.99.5
systemd|246.6-5ubuntu1
aptdaemon|1.1.1+bzr982-0ubuntu35
grml2usb|unknown
grubzfs-testsuite|unknown
sepp|4.3.10+dfsg-4
ubiquity|unknown
ubuntu-image|unknown
zsys|unknown
pam-mysql|0.8.1-4
sonic-pi|3.2.2~repack-6
gnudatalanguage|0.9.9-13build1
gnutls28|3.6.15-4ubuntu2
libdbd-mariadb-perl|1.21-1ubuntu2
aptdaemon|1.1.1+bzr982-0ubuntu36
securefs|0.11.1+ds-1build1
libgdf|0.1.3-6build1
fence-agents|4.7.0-1
ruby-jquery-rails|4.3.5-2
bundler|2.1.4-2
cl-trivial-garbage|20200801.git2319892-1
r-cran-rstanarm|2.19.3-1build1
simde|0.6.0-3
cwltool|3.0.20200807132242-3
python-os-client-config|2.1.0-0ubuntu3
chrony|4.0-2ubuntu1
redmine|4.0.7-1
xrayutilities|1.6.0-4build2
cod-tools|3.1.0+dfsg-1build2
useful-clojure|0.11.6-3
openstack-trove|2:14.0.0+git2020121012.9a6d4163-0ubuntu1
ruby-defaults|1:2.7+2

- There are some armhf retriggers that have not yet run.

Packages
========

I worked a bit on getting some packages building again, based on Bryce's
email from last week.

** tiffile

- Has been uploaded during the last weekend; FTBFS fixed.

** cura

- Bug filed and patch proposed:
  https://bugs.launchpad.net/debian/+source/cura/+bug/1908134

- I noticed that the Debian maintainers did some work on the VCS but
  never uploaded a new package.  I asked one of them (Myon) and he
  told me there are some failing tests on the new version.

- Uploaded.

** dfwinreg

- Bug filed and patch proposed:
  https://bugs.launchpad.net/debian/+source/dfwinreg/+bug/1908149

- I'm also proposing an NMU to the Debian package.

- Uploaded.

Unblocking rubygems + ruby-defaults
===================================

This has been in our radar for quite a while, so I decided to tackle
it.  After talking to Lucas Kanashiro and understanding the whole
picture, I was able to perform several retriggers and have all the
ruby-* modules finally pass:

ruby-jquery-rails|4.3.5-2
ruby-backbone-on-rails|1.3.3+dfsg-1
ruby-entypo-rails|3.0.0-3
ruby-jquery-ui-rails|6.0.1+dfsg-6
ruby-markdown-it-html5-embed|1.0.0+dfsg-5
ruby-rails-assets-autosize|4.0.2-6
ruby-rails-assets-blueimp-gallery|2.33.0-2
ruby-rails-assets-fine-uploader|5.13.0-2
ruby-rails-assets-highlightjs|9.12.0-3
ruby-rails-assets-jquery.are-you-sure|1.9.0-2
ruby-rails-assets-markdown-it-diaspora-mention|1.2.0-2
ruby-rails-assets-underscore|1.8.3+dfsg-4
ruby-leaflet-rails|1.6.0+dfsg-1
ruby-bootstrap-switch-rails|3.3.4+dfsg+REALLY.3.3.3-1
ruby-rails-assets-corejs-typeahead|1.2.1-2
ruby-rails-assets-jquery-nicescroll|3.6.6+dfsg-1
ruby-rails-assets-jquery|3.5.1+dfsg-1
ruby-rails-assets-perfect-scrollbar|1.4.0-4
ruby-rails-assets-favico.js|0.3.10+dfsg-2

I've also had to do no-change uploads to some ruby modules in order to
make them rebuild with gem2deb 1.4:

ruby-websocket-driver 0.6.3-3build1
ruby-nio4r 2.3.1-2build1
ruby-ffi 1.12.2+dfsg-2build5
ruby-nokogiri 1.10.9+dfsg-1build1

A few things to keep in mind here:

- The bundler failures are not important, because bundler will be
  removed.

- The rails failures are part of the rails migration, which is "another
  beast", so I didn't try to investigate further.

- redmine is still failing; see below.

- ruby-defaults is still failing on i386.

Possible things to do next
==========================

** redmine will not pass if it's tested with ruby-rails (which is part
   of the rails source package) from proposed.  I was trying to
   investigate why I can't retrigger redmine using the rails package
   that is *not* on proposed.  I spent some time trying to tweak the
   list of triggers, to no avail.  Although Lucas told me that we might
   have to follow Debian and remove redmine temporarily in order to make
   rubygems migrate, I was going to try to make redmine pass.

** I was investigating ruby-defaults on i386.  It fails because it says
   ruby-rubygems:i386 cannot be installed, which is... puzzling.

Other things
============

As this was my first +1 maintenance week, I spent some time playing with
some tooling in order to help me with retriggers et al.  I discovered a
few useful programs (thanks Bryce), and will try to adjust them to my
needs when I have more time (TM).

Thanks,

--
Sergio
GPG key ID: E92F D0B3 6B14 F1F4 D8E0  EB2F 106D A1C8 C3CB BF14

--
ubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel

signature.asc (847 bytes) Download Attachment